# *********************************************************************
# BEGIN.awk: NoSQL AWK main BEGIN{} function.
# Copyright (c) 2006 Carlo Strozzi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# *********************************************************************

BEGIN {

  # Arrays.
  delete __MUXDATA
  delete __MUXKEY
  delete __CURSOR

  # Scalars.
  __CONSTRAINT = _NULL

  # Option flags.
  __O_HEADER = 1
  __O_SEEK_SET = 0
  __O_SEEK_CUR = 1
  __O_SEEK_END = 2
  __O_IS_KEY = 1

  # Get local settings.
  __INSTALL = ENVIRON["NOSQL_INSTALL"]
  __STDOUT = ENVIRON["NOSQL_STDOUT"]
  __STDERR = ENVIRON["NOSQL_STDERR"]

  # Set default values if necessary.
  if (__INSTALL == _NULL) __INSTALL = "/usr/local/nosql"
  if (__STDOUT == _NULL) __STDOUT = "/dev/stdout"
  if (__STDERR == _NULL) __STDERR = "/dev/stderr"
}

# EOF
